Subject: Re: bug#38039: 27.0.50; Dired kill associated buffers matching extension

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 08 May 2022 16:06:38 +0200

Jeff Spencer <[email-masked]> writes:

> A feature enhancement that is related to this is that I would like to be able to set
> the file extensions that would automatically be deleted. Then for the
> other file extensions confirm before deleting the buffers. I see
> possiblyl changing dired-clean-confirm-killing-deleted-buffers to
> allowing three differnt options. One is nil meaning don't ask and
> automatically kill everything. One is t meaning confirm all buffers. The
> last is a list like '(.txt .pdf)) that will allow these extensions to
> automatically be killed but all others it will ask. But the problem with
> this is the dired and sub-directory killing part. If you specify a list,
> I think there needs a seperate variable that you can control the dired
> buffer killing from the regular buffer killing. 

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

In my opinion, this would require so much customisation that I don't
think it's a feature that many people would use.  So I'm closing this as
a "wontfix".

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no